ELF_GETSHDRSTRNDX(3)

NAME
elf_getshdrstrndx - retrieve the index of the section name string table

LIBRARY
libelf

SYNOPSIS
#include <libelf.h>
int
elf_getshdrstrndx(Elf *elf, size_t *ndxptr);

DESCRIPTION
Function elf_getshdrstrndx() retrieves the section index of the string table containing section names from descriptor elf and stores it into the location pointed to by argument ndxptr.

This function allow applications to process both normal ELF objects and ELF objects that use extended section numbering uniformly.

RETURN VALUES
These functions return zero if successful, or -1 in case of an error.

ERRORS
These functions can fail with the following errors:

[ELF_E_ARGUMENT]
    A NULL value was passed in for argument elf.

[ELF_E_ARGUMENT]
    Argument elf was not for an ELF file.

[ELF_E_ARGUMENT]
    Argument elf lacks an ELF Executable header.

[ELF_E_ARGUMENT]
    Argument ndx contained a value in the reserved range of section indices.

SEE ALSO
elf(3), elf32_getehdr(3), elf64_getehdr(3), elf_getident(3), elf_getphdrnum(3), elf_getshdrnum(3), gelf(3), gelf_getehdr(3)